package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import northwind_entities_save.DWEntity;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * Privileges generated by hbm2java
 */
@Entity
@DWEntity
@Table(name="privileges"
    ,catalog="northwind"
)
public class Privileges  implements java.io.Serializable {
    public String toString() {
        return
            "\"" + id + "\"," +
            "\"" + privilegeName + "\"";
    }

     private Integer id;
     private String privilegeName;
     private Set<Employees> employeeses = new HashSet<Employees>(0);

    public Privileges() {
    }

    public Privileges(String privilegeName, Set<Employees> employeeses) {
       this.privilegeName = privilegeName;
       this.employeeses = employeeses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    @Column(name="privilege_name", length=50)
    public String getPrivilegeName() {
        return this.privilegeName;
    }
    
    public void setPrivilegeName(String privilegeName) {
        this.privilegeName = privilegeName;
    }
@ManyToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY)
    @JoinTable(name="employee_privileges", catalog="northwind", joinColumns = { 
        @JoinColumn(name="privilege_id", nullable=false, updatable=false) }, inverseJoinColumns = { 
        @JoinColumn(name="employee_id", nullable=false, updatable=false) })
    public Set<Employees> getEmployeeses() {
        return this.employeeses;
    }
    
    public void setEmployeeses(Set<Employees> employeeses) {
        this.employeeses = employeeses;
    }




}


